### Enumeration

# Gdk DragAction

#### Declaration

    flags Gdk.DragAction

#### Description [src]

Used in `GdkDrop` and `GdkDrag` to indicate the actions that the destination can and should do with the dropped data.

#### Members

Name | Description
--- | ---
`GDK_ACTION_COPY` | Copy the data.
`GDK_ACTION_MOVE` | Move the data, i.e. first copy it, then delete it from the source using the DELETE target of the X selection protocol.
`GDK_ACTION_LINK` | Add a link to the data. Note that this is only useful if source and destination agree on what it means, and is not supported on all platforms.
`GDK_ACTION_ASK` | Ask the user what to do with the data.

#### Type functions

###### gdk_drag_action_is_unique

Checks if `action` represents a single action or includes multiple actions.